For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • GETList shared voices
        • POSTAdd shared voice
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesVoice library

Add shared voice

POST
/v1/voices/add/:public_user_id/:voice_id
POST
/v1/voices/add/:public_user_id/:voice_id
$curl -X POST https://api.elevenlabs.io/v1/voices/add/public_user_id/voice_id \
> -H "Content-Type: application/json" \
> -d '{
> "new_name": "John Smith"
>}'
1{
2 "voice_id": "b38kUX8pkfYO2kHyqfFy"
3}
Add a shared voice to your collection of Voices
Was this page helpful?
Previous

Create PVC voice

Next
Built with

Path parameters

public_user_idstringRequired
Public user ID used to publicly identify ElevenLabs users.
voice_idstringRequired

ID of the voice to be used. You can use the Get voices endpoint list all the available voices.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
new_namestringRequired
The name that identifies this voice. This will be displayed in the dropdown of the website.
bookmarkedbooleanOptionalDefaults to true

Response

Successful Response
voice_idstring
The ID of the voice.

Errors

422
Unprocessable Entity Error